Subject: Re: perl 5.82 libwww 5.800 fails tests
From: "Gerrit P. Haase" <[email-masked]>
To: Ken Dibble <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Fri, 6 Aug 2004 14:27:01 +0200

Ken wrote:

> I googled and couldn't find anything (or didn't use the correct words).

> I looked on cpan and perl.org and didn't see anything similiar.

> This doesn't happen on my debian woody machine (perl 5.6.1), so I don't know
> if it a perl thing or a cygwin-perl thing.

> This is my first go round with perl so be gentle :)

> cygcheck attached

> kdibble@BECCOMPUTER ~/libwww-perl-5.800

> Failed Test          Stat Wstat Total Fail  Failed  List of Failed
> -------------------------------------------------------------------------------
> html/form-param.t       2   512    24   48 200.00%  1-24
> html/form.t             2   512    97  194 200.00%  1-97
> local/autoload-get.t                1    1 100.00%  1
> local/autoload.t                    1    1 100.00%  1
> local/get.t             2   512     2    4 200.00%  1-2
> local/http-get.t                   20    6  30.00%  1-2 5-7 20
> local/http.t                       18    6  33.33%  1-2 5-7 18
> robot/ua-get.t                      8    2  25.00%  3 5
> robot/ua.t                          7    2  28.57%  3 5
> Failed 9/30 test scripts, 70.00% okay. 141/730 subtests failed, 80.68% okay.
> make: *** [test] Error 14

Works for me with perl-5.8.2 and the recently released perl-5.8.5
without errors:

All tests successful.
Files=30, Tests=730, 135 wallclock secs (58.09 cusr + 41.09 csys = 99.18 CPU)

Have you used the CPAN shell (just call `cpan` in a bash shell)?

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/